Subject: Re: bug#55517: [PATCH]: gnu: emacs-magit: Drop the libgit backend.

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 20 May 2022 22:13:32 -0400

Hi Zhu,

Zhu Zihao <[email-masked]> writes:

> Fix the typo in commit message
>
>>>From 8a2de5764a67bea1cbf789c8d6ce0ab0878ec40b Mon Sep 17 00:00:00 2001
> From: Zhu Zihao <[email-masked]>
> Date: Thu, 19 May 2022 13:01:46 +0800
> Subject: [PATCH] gnu: emacs-magit: Drop the libgit backend.
>
> Drop the libgit backend for following reasons:
>
> 1. The libgit backend of Magitis very incomplete. There's almost no benefits,
> but extra maintenance efforts.

Could you elaborate about "almost no benefits"?  Even if it's a small
benefit, if it makes it faster, I'd still keep it since Magit is at
times excruciatingly slow.

> 2. The libgit backend of Magit can be considered as an extra package. And it's
> still in Proof-Of-Concept status so its quaility doesn't satisfy the
> requirement of Guix package.

There's not really any "quality requirements" for Guix package; we
package stable releases when they're available; the rest is up to us
Guix users.

Do you happen to have a link to some exchange where Magit authors would
recommend against using the libgit library at this point in time to
speed up Magit?  Otherwise, I'm not convinced.

Thanks,

Maxim